package egovframework.com.its.web.server.mapper;

import egovframework.com.its.web.server.vo.*;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface AdminMapper {

	AdminVO getUser(String id);
	
	List<PopupVO> getPopupList(Map<String, Object> paramMap);
	
	void addPopup(Map<String,Object> paramMap);
	
	void updatePopupUseYN(Map<String, Object> paramMap);
	
	void deletePopup(Map<String, Object> paramMap);
	
	void updatePopup(Map<String, Object> paramMap);
	
	AdminInfoVO checkPrePw(Map<String, Object> paramMap);
	
	void updatePw(Map<String, Object> paramMap);
	
	List<StatsVO> getHHStatus(Map<String,Object> paramMap);
	
	List<StatsVO> getMMStatus(Map<String,Object> paramMap);

	List<PeriodStatVO> getYearStatsList(Map<String,Object> paramMap);

	List<PeriodStatVO> getMonthStatsList(Map<String,Object> paramMap);

	List<PeriodStatVO> getHourStatsList(Map<String,Object> paramMap);

	List<StatsVO> getDDStatus(Map<String, Object> paramMap);
	
	void adminLoginMake(Map<String, Object> paramMap);
	
	void adminLogoutMake(Map<String, Object> paramMap);

	Integer getFailCount(Map<String, Object> paramMap);

	void setAcountLock(Map<String, Object> paramMap);

	void setFailCount(Map<String, Object> paramMap);
}
